[arch-commits] CVS update of extra/gnome/seahorse (PKGBUILD seahorse.install)

Jan de Groot jgc at archlinux.org
Sun Apr 22 16:05:11 UTC 2007


    Date: Sunday, April 22, 2007 @ 12:05:11
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/seahorse

Modified: PKGBUILD (1.12 -> 1.13) seahorse.install (1.3 -> 1.4)

upgpkg: seahorse 1.0.1-2
Move to /usr


------------------+
 PKGBUILD         |   31 ++++++++++++++++---------------
 seahorse.install |   16 +++++++++-------
 2 files changed, 25 insertions(+), 22 deletions(-)


Index: extra/gnome/seahorse/PKGBUILD
diff -u extra/gnome/seahorse/PKGBUILD:1.12 extra/gnome/seahorse/PKGBUILD:1.13
--- extra/gnome/seahorse/PKGBUILD:1.12	Sun Apr  8 14:57:19 2007
+++ extra/gnome/seahorse/PKGBUILD	Sun Apr 22 12:05:10 2007
@@ -1,34 +1,35 @@
-# $Id: PKGBUILD,v 1.12 2007/04/08 18:57:19 jgc Exp $
+# $Id: PKGBUILD,v 1.13 2007/04/22 16:05:10 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 # Contributor: Michel Brabants <michel.linux at tiscali.be>
 
 pkgname=seahorse
 pkgver=1.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="GNOME application for managing PGP keys."
 arch=(i686 x86_64)
 license=('GPL')
 url="http://seahorse.sourceforge.net/"
-depends=('libgnomeui>=2.18.1' 'libnotify>=0.4.4' 'libsoup>=2.2.100' 'libgnomeprintui>=2.18.0' 'gtksourceview>=1.8.5' 'gpgme')
-makedepends=('gedit' 'gettext' 'libldap' 'perlxml' 'pkgconfig' 'gnome-doc-utils' 'nautilus>=2.18.0' 'epiphany>=2.18.0' 'gnome-panel>=2.18.0')
+depends=('libgnomeui>=2.18.1-2' 'libnotify>=0.4.4' 'libsoup>=2.2.100-2' 'libgnomeprintui>=2.18.0' 'gtksourceview>=1.8.5-2' 'gpgme' 'scrollkeeper' 'desktop-file-utils')
+makedepends=('gedit>=2.18.1' 'gettext' 'libldap' 'perlxml' 'pkgconfig' 'gnome-doc-utils>=0.10.3' 'nautilus>=2.18.1' 'epiphany>=2.18.1-2' 'gnome-panel>=2.18.1')
 options=('nolibtool')
+groups=('gnome-extra')
 install=seahorse.install
 source=(http://ftp.gnome.org/pub/GNOME/sources/seahorse/1.0/seahorse-${pkgver}.tar.bz2)
 md5sums=('687b44dff0cf765d193af79de7fe856f')
 
 build() {
-  export MAKEFLAGS="-j1"
   cd ${startdir}/src/${pkgname}-${pkgver}
-  ./configure --prefix=/opt/gnome --enable-ldap --enable-hkp --enable-gedit \
-    --enable-nautilus --enable-agent --enable-libnotify \
-    --disable-scrollkeeper --disable-update-mime-database --disable-static
+  sed -i -e 's/seahorse-daemon/seahorse-agent/g' agent/Makefile.in
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-static \
+	      --enable-ldap --enable-hkp \
+	      --enable-gedit --enable-nautilus \
+	      --enable-agent --enable-libnotify \
+	      --disable-scrollkeeper --disable-update-mime-database
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
 
-  mkdir -p ${startdir}/pkg/opt/gnome/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/opt/gnome/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-  rm -f ${startdir}/pkg/opt/gnome/etc/gconf/schemas/*.schemas
-
-  mkdir -p ${startdir}/pkg/usr/share
-  mv ${startdir}/pkg/opt/gnome/share/icons ${startdir}/pkg/usr/share/
+  mkdir -p ${startdir}/pkg/usr/share/gconf/schemas
+  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
 }
Index: extra/gnome/seahorse/seahorse.install
diff -u extra/gnome/seahorse/seahorse.install:1.3 extra/gnome/seahorse/seahorse.install:1.4
--- extra/gnome/seahorse/seahorse.install:1.3	Thu Feb  8 11:17:00 2007
+++ extra/gnome/seahorse/seahorse.install	Sun Apr 22 12:05:11 2007
@@ -1,11 +1,11 @@
 pkgname=seahorse
 
 post_install() {
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
-  opt/gnome/bin/gconftool-2 --makefile-install-rule opt/gnome/share/gconf/schemas/${pkgname}.schemas >/dev/null
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+  usr/bin/gconftool-2 --makefile-install-rule usr/share/gconf/schemas/${pkgname}.schemas >/dev/null
   scrollkeeper-update -q -p var/lib/scrollkeeper 
   update-desktop-database -q
-  update-mime-database opt/gnome/share/mime
+  update-mime-database usr/share/mime
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -18,19 +18,21 @@
 }
 
 pre_remove() {
-  if [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
+  if [ -f usr/share/gconf/schemas/${pkgname}.schemas ]; then
+    schemas=(usr/share/gconf/schemas/${pkgname}.schemas)
+  elif [ -f opt/gnome/share/gconf/schemas/${pkgname}.schemas ]; then
     schemas=(opt/gnome/share/gconf/schemas/${pkgname}.schemas)
   else
     schemas=(`pacman -Ql $pkgname | grep 'gconf/schemas/.*schemas$' | awk '{ print $2 }'`)
   fi
-  export GCONF_CONFIG_SOURCE=`opt/gnome/bin/gconftool-2 --get-default-source`
+  export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
   
-  opt/gnome/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
+  usr/bin/gconftool-2 --makefile-uninstall-rule ${schemas[@]} >/dev/null
 }
 
 post_remove() {
   update-desktop-database -q
-  update-mime-database opt/gnome/share/mime
+  update-mime-database usr/share/mime
   scrollkeeper-update -q -p var/lib/scrollkeeper
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }




More information about the arch-commits mailing list